<div id="add-table-modal">
    <div class="modal-content box">
        <form id="add-table-input">
            <div>
                <h3>
                    <span id="widget-heading-cu-toggle"> Update </span>
                    <span id="widget-heading-toggle">Table</span>
                </h3>
            </div>
            <hr>
            <div class="field">
                <input type="text" required autocomplete="off" id="input-table-title" [(ngModel)]="widgetInfo.title" name="title">
                <label for="input-table-title" title="Title:"></label>
            </div>
            <div class="field">
                <textarea rows="7" required autocomplete="off" id="input-table-data" [(ngModel)]="widgetInfo.data" name="data"></textarea>
                <label for="input-table-data" title="Insert data list in a valid JSON format:"></label>
            </div>
            <div id="radio-buttons">
                <div>
                    <input type="radio" name="table-color" value="dark" id="dark" [(ngModel)]="widgetInfo.color" name="dark" />
                    <label for="dark">Dark Mode</label>
                </div>
                <div>
                    <input type="radio" name="table-color" value="light" id="light" [(ngModel)]="widgetInfo.color" name="dark" />
                    <label for="light">Light Mode</label>
                </div>
            </div>

            <div class="modal-btns">
                <button type="submit" (click)="updateWidget(widgetInfo)" id="submit" class="box box-red add-button-dark">
                    <p>Submit</p>
                </button>
            </div>
        </form>
    </div>
</div>